
Redmine - Feature #18126

Allow setting up version hierarchy

2014-10-17 13:45 - Dzianis Frydliand

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There's useful feature in JIRA which we would like to see in Redmine.

JIRA allows you to create parent-child relationships between versions. For example, you may wish to group your sprints as milestone

versions (e.g. "Version 1 m1", "Version 1 m2", etc) under the version for the major release (e.g. "Version 1").

In JIRA, you can set up the major version as the "parent" version for the milestone versions. This allows you to view and track all of

the issues assigned to the milestone releases under the umbrella of the major release.

All issues under the child version are considered to be a subset of the parent version. These version hierarchies are useful for

managing Releases/Sprints/Teams. For example, if you set 'Version 2' to be the master of 'Version 2 milestone 1', then you will be

able to view all the issues assigned to 'Version 2 milestone 1' when you view 'Version 2' on the Planning Board.

Related issues:

Related to Redmine - Feature #13387: Improving Redmine's version model (not j... New

Related to Redmine - Feature #8991: Nested versions for projects with sub-pro... New 2011-08-05

History

#1 - 2014-10-17 13:46 - Dzianis Frydliand

Plannig Board = Roadmap in Redmine

#2 - 2014-11-12 14:01 - Toni Smillie

Yes please. I'd like this feature too.

I want to be able to see burndowns at the iteration level and at the release level. Having a heirarchy would be great

#3 - 2014-11-16 05:12 - Toshi MARUYAMA

- Category set to Roadmap

#4 - 2014-11-25 07:58 - Sebastian Paluch

+1!

#5 - 2015-10-20 17:27 - Ge Ko

any news on version hierarchy? Would very much like if this will become true soon.

#6 - 2015-11-16 04:49 - Toshi MARUYAMA

- Related to Feature #13387: Improving Redmine's version model (not just milestones) added

#7 - 2016-03-08 02:47 - Dave Lowndes

+1

We need the ability to have several releases (sprints) within a release. Each sprint needs a name and date, i.e. a child version attached to a version!

1.0.0 Minimum viable product

- sprint 1 alpha (5/2/2016)

- sprint 2 beta (19/2/2016)

- sprint 3 rc (4/3/2016)

1.1.0 - New features

- sprint 1 beta (18/3/2016)

- sprint 2 rc (1/4/2016)
We then need the ability to group by child version to see all issues, by sprint, planned for a release as well as all issues in the whole release (e.g. for

release notes).

#8 - 2016-03-18 10:23 - Inese Ez

+1!

#9 - 2016-06-06 17:01 - Dipan Mehta

Add related - #8991

#10 - 2016-06-27 06:47 - Dipan Mehta

Though more elaborate - this issue is essentially a duplicate of #453

Also add this and #453 to overall issue - #13387 in the larger study.

#11 - 2016-07-04 06:38 - Toshi MARUYAMA

- Related to Feature #8991: Nested versions for projects with sub-projects added
